#ifndef APPLICATION_H
#define APPLICATION_H

#include <memory>
#include <SFML/System/Clock.hpp>
#include <SFML/Window/Keyboard.hpp>
#include <SFML/Window/Event.hpp>

#include "game.h"

class Application
{
public:
    Application();
    void run();
    void input();
    void update();
    void draw();

private:
    sf::RenderWindow _game_window;
    std::shared_ptr<Game> _game;

    void exec();
};

#endif // APPLICATION_H
